import 'package:fis_jsonrpc/rpc.dart';
import 'package:vitalapp/mock/services/diagnosis.dart';
import 'package:vitalapp/mock/services/label.dart';
import 'package:vitalapp/mock/services/patient.dart';

class JsonRpcMockProxy extends JsonRpcProxy {
  JsonRpcMockProxy({String? host}) : super(host: host);

  @override
  VitalLabelService get label => LabelServiceMock(currentHostAddress);

  @override
  VitalPatientService get patient => PatientServiceMock(currentHostAddress);

  @override
  VitalDiagnosisService get diagnosis =>
      DiagnosisServiceMock(currentHostAddress);
}
